pastebinit (1.7.1-1+~rpt2) trixie; urgency=medium

  * Change default to pastebin.com

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 04 Jul 2025 16:28:50 +0100

pastebinit (1.7.1-1+~rpt1) trixie; urgency=medium

  * Use dh-python to rewrite shebangs
    - Fixes issue when running from venv environment 

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 02 Jun 2025 19:48:47 +0100

pastebinit (1.7.1-1) unstable; urgency=medium

  * New upstream release (1.7.1)

 -- Thomas Ward <teward@ubuntu.com>  Wed, 13 Nov 2024 16:59:35 -0500

pastebinit (1.7.0-1) unstable; urgency=medium

  * New upstream release (1.7.0).
  * d/pastebinit.docs: Update documentation path for markdown change
    in upstream README file.

 -- Thomas Ward <teward@ubuntu.com>  Mon, 13 May 2024 15:41:27 -0400

pastebinit (1.6.2-1) unstable; urgency=medium

  * New upstream relase (1.6.1). GitHub Changelog:
    * Revert "Add NoneType handling/fix for Debian (Closes: #1023962)"
    * Default to empty string in os.environ.get for potentially empty 
      env vars
      (Closes: #1023962)

 -- Thomas Ward <teward@ubuntu.com>  Mon, 14 Nov 2022 16:33:59 -0500

pastebinit (1.6.1-1) unstable; urgency=medium

  * New upstream release (1.6.1). GitHub Changelog:
    * Add NoneType handling/fix for Debian (Closes: #1023962)

 -- Thomas Ward <teward@ubuntu.com>  Sun, 13 Nov 2022 21:51:01 -0500

pastebinit (1.6-1) unstable; urgency=medium

  * New upstream release. (1.6)  GitHub Changelog:
    * Traverse options hierarchy properly.
    * Move non-parameter options to '[pastebin]' section.
    * Process pastebin settings outside of multi-paste loop.
    * Check for pastebin before getting input (LP: #1273859)
    * Add support for XDG config and data directories (LP: #1324280, 
      LP: #1671107)
    * Make private pasting togglable both ways at runtime.
    * Paste privately by default where supported.
    * Fix and update pastebin.com configuration (LP: #1309107, 
      LP: #1552092)
    * Work around pastebins with user name length limit (LP: #1437286)
    * Update and improve documentation.
  * Additional packaging changes:
    * d/control:
      * Update Maintainer to replace Simon Quigley with Thomas Ward
        (discussed with and approved by Simon)
      * Update uploaders to include Simon Quigley and Thomas Ward
        (co-maintainer situation)
      * Remove breaks/replaces on old bikeshed.
      * Update build-depends, standards version, and homepage for 
        upstream project.
      * Add Rules-Requires-Root: no.
    * d/watch:
      * Update d/watch for new upstream location now on Github
    * d/dirs: Removed unnecessary file in debian packaging.
    * d/compat: Remove compat file, replaced with debhelper-compat
      in build deps.
    * d/copyright: Update copyright file to match expected formats, update
      packaging copyrights list

 -- Thomas Ward <teward@ubuntu.com>  Sat, 12 Nov 2022 17:04:08 -0500

pastebinit (1.5.1-1) unstable; urgency=medium

  * New upstream release.
    - Fix the URL in the manpage (Closes: #822636, LP: #1574849).
    - Add German translations (Closes: #886026).
    - Remove cxg.de and lpaste.net (Closes: #915901).
    - Remove both patches as they were applied upstream.
  * Update to the new pastebinit home in debian/control.
  * Update the watch file for the new upstream location.
  * Bump Standards-version to 4.4.0, no changes needed.

 -- Simon Quigley <tsimonq2@debian.org>  Sat, 03 Aug 2019 00:48:40 -0500

pastebinit (1.5-3) unstable; urgency=medium

  * Salvage the package (Closes: #927231).
  * Update Vcs to reflect the move to Salsa.
  * Run wrap-and-sort.
  * Fix typo in a patch description.
  * Update Standards-version to 4.3.0, no changes needed.
  * Fix trailing whitespace.
  * Bump debhelper compat to 12, no changes needed.
  * Update the copyright file to be DEP-5 compliant.

 -- Simon Quigley <tsimonq2@debian.org>  Tue, 23 Jul 2019 16:31:11 -0500

pastebinit (1.5-2.3) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Non-maintainer upload.
  * This is a fixup upload of the previous NMU

  [ Unit 193 ]
  * 0002-update-urlopen-usage.patch:
    - Update to account for json pastebin services.

 -- Unit 193 <unit193@ubuntu.com>  Sat, 06 Jul 2019 19:35:41 -0400

pastebinit (1.5-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Depend on python3-distro, which was forgotten in the last upload.

 -- Simon Quigley <tsimonq2@debian.org>  Fri, 19 Apr 2019 21:05:19 -0500

pastebinit (1.5-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix deprecation warnings under Python 3.6 and 3.7 (Closes: #916372).
    - Thanks to Antonio Terceiro for the patches!

 -- Simon Quigley <tsimonq2@debian.org>  Fri, 12 Apr 2019 18:10:40 -0500

pastebinit (1.5-2) unstable; urgency=medium

  * control:
    - update VCS URIs to point to github
    - update Debian Standard to 4.1.4
  * copyright: update to 2018

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sun, 15 Apr 2018 23:38:02 +0800

pastebinit (1.5-1) unstable; urgency=medium

  * new upstream release
    - add https support. Closes: #799580, closes: #708206.
    - add support for hidden pastes. Closes: #670485.
    - correct mistake in README. LP: #1446433
  * drop all Debian patches since they were applied upstream
  * control: update to Debian standard 3.9.7
  * copyright: update copyright to 2016

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Tue, 01 Mar 2016 20:18:36 +0800

pastebinit (1.4-6) unstable; urgency=medium

  [ Alberto Fuentes ]
  * patches: fix format line in slexy.org configuration. Closes: #743394

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Tue, 05 Jan 2016 20:22:00 +0800

pastebinit (1.4-5) UNRELEASED; urgency=medium

  [ Bart Martens ]
  * watch: make the syntax more robust

  [ Rolf Leggewie ]
  * control:
    - drop now-obsolete recommendation for lsb-release package
    - update to standard 3.9.6. No further changes.
  * add script to help with collection of bug triage information

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sat, 17 Oct 2015 14:12:03 +0800

pastebinit (1.4-4) unstable; urgency=medium

  [ Andrew Starr-Bochicchio ]
  * detect_distro_with_python3.patch: Use platform instead of
    lsb_release to detect the distro as lsb_release is not
    available under Python 3 (Closes: #760341). pastebinit
    will now default again to using paste.debian.net on Debian
    (Closes: #778336).

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Tue, 17 Feb 2015 11:35:07 +0800

pastebinit (1.4-3) unstable; urgency=low

  * bump debhelper to version 9
  * control: drop some obsolete python options

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sat, 08 Feb 2014 00:43:27 +0800

pastebinit (1.4-2) unstable; urgency=low

  * patches:
    ~ update upstream to r205. Fix unicode problem. LP: #1270359
      This essentially gives us upstream release 1.4.1
    ~ increase timeout to 15s to account for bad networks
  * watch: only check for 2-level (major.minor) upstream releases
  * drop preinst script as obsolete

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sat, 18 Jan 2014 14:12:37 +0800

pastebinit (1.4-1) unstable; urgency=low

  [ Bart Martens ]
  * update watch file

  [ Rolf Leggewie ]
  * new upstream release 1.4
    - upstream bugfixes
      ~ crash in create_connection(). LP: #1032221
      ~ point shebang to python3. LP: #988468
      ~ allow calling pastebin by basename. Closes: #705979, LP: #977331
      ~ allow pasting several files at once. Closes: #662242
    - control: bump python to python3 in run-time dependencies
               remove python-configobj from run-time dependencies
    - drop all debian-patches as obsolete
  * control:
    - drop obsolete DMUA field
    - update to standard version 3.9.5. No further changes.
  * copyright: update upstream and my copyright to 2014

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Fri, 17 Jan 2014 17:32:21 +0800

pastebinit (1.3-4) unstable; urgency=low

  [ Stéphane Graber ]
  * backport new pastebin.com config from 1.3.1. Closes: 673311,LP: #996242

  [ Rolf Leggewie ]
  * debian/control: add python-support to build-depends
  * debian/pastebinit.preinst: use set -e rather than shebang equivalent
  * reinstate pastebin.com as default pastebin

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Wed, 13 Jun 2012 12:04:36 +0800

pastebinit (1.3-3) unstable; urgency=low

  * debian/control:
    - use Breaks instead of Conflicts for the bikeshed package
    - bump to standard 3.9.3, no further changes
    - recommend the lsb-release package
  * move to dh7 rules.tiny for the build process. Closes: #616933
  * replace pastebin.com with paste.debian.net as default pastebin
    until the breakage from their API change has been fixed upstream

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sun, 20 May 2012 12:30:42 +0800

pastebinit (1.3-2) unstable; urgency=low

  * ship some contrib scripts from Dustin Kirkland's bikeshed project
  * debian/control: bump build-time dependency to debhelper >= 7
  * debian/control: use dh_prep instead of dh_clean -k

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Fri, 17 Feb 2012 03:43:32 +0800

pastebinit (1.3-1) unstable; urgency=low

  * New upstream release 1.3
    - added support for paste.pound-python.org. Closes: #633072
    - added support for format option on paste.debian.net. Closes: #624592
    - improved feedback on site errors. Closes: #614072
    - properly document default pastebin as distro-specific. LP: #755997
    - properly name config file for pb.daviey.com. LP: #809371
  * debian/compat: bump to version 7
  * debian/copyright: update my copyright claim to 2012
  * debian/rules: add dummy build-arch and build-indep target

    not moving to dh_python2. If the python maintainer does not care enough
    to fix LP 788524 why should I?

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Thu, 16 Feb 2012 22:43:30 +0800

pastebinit (1.2-4) unstable; urgency=low

  * debian/pastebinit.preinst: add #DEBHELPER# token to script

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sat, 16 Jul 2011 15:58:04 +0900

pastebinit (1.2-3) unstable; urgency=low

  * update to latest Debian policy and release to unstable pocket
    (no further changes necessary)

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Mon, 04 Jul 2011 09:48:21 +0900

pastebinit (1.2-2) experimental; urgency=low

  * new upstream release
    - drop all current patches as they have been pushed upstream
    - lots of fixed bugs:
      + document -f FORMAT option. LP: #614873, Closes: #562827
      + document the config file and its format. LP: #435303, Closes #574661
      + add support for paste.kde.org. LP: #700644, Closes: #608264
      + honor pastebin definitions from ~/.pastebin.d/. LP: #701039
  * install pastebin definitions to /usr/share/ instead of /etc. LP: #621923
  * ship upstream README file in package
  * debian/copyright: update my copyright

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Mon, 31 Jan 2011 07:51:54 +0800

pastebinit (1.1-3) experimental; urgency=low

  * 30-lsb.patch: set default pastebin according to OS (LP: #648298)
    patch courtesy of Mario Limonciello
  * update to Debian standard 3.9.1

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Tue, 26 Oct 2010 03:12:07 +0900

pastebinit (1.1-2) unstable; urgency=low

  * debian/copyright: update to latest status
  * debian/patches/10-drop_rafb.net.patch: EOL rafb.net support
  * debian/patches/20-set_sensible_expiry.patch: expire pastebins (LP: #580816)

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sat, 15 May 2010 18:36:44 +0900

pastebinit (1.1-1) unstable; urgency=low

  * new upstream release (Closes: #572728)
  * update to Standard 3.8.4
    * add ${misc:Depends} to run-time dependencies (no real changes expected)
    * move to DebSrc3.0 format
  * maintain packaging information in git rather than bzr from now on

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Mon, 19 Apr 2010 04:58:36 +0900

pastebinit (0.11.2-1) unstable; urgency=low

  * push back new upstream release from Ubuntu Jaunty. (Closes: #519879)
    * fix parsing of config file. (Closes: #524422)
    * properly read from stdin. (Closes: #532504)
  * update to 3.8.2 standard.  No changes necessary.
  * update watch file
  * allow uploads by Debian Maintainers

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Wed, 22 Jul 2009 03:15:22 +0200

pastebinit (0.11.2-0ubuntu1) jaunty; urgency=low

  * new bugfix release (0.11.2)
   * Fix typo in manpage causing FTBFS

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 10 Mar 2009 01:25:02 -0400

pastebinit (0.11.1-0ubuntu1) jaunty; urgency=low

  * new bugfix release (0.11.1)
   * Update translations
   * Fix pastebinit bugs as reported on Launchpad.
   * Disable 1t2.us as it no longer works.
   * Disable all options specifc to 1t2.us (commented out).
   * Fix remainning pastebins.
   * Update manpage. (LP: #157082)
   * Merge fix from Spiro Harvey (LP: #312456)
   * Change pastebinit's default behavior to reading from stdin (Thanks fta)
   * Code cleanup

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 10 Mar 2009 01:05:36 -0400

pastebinit (0.11-2) unstable; urgency=low

  * rebuild for unstable after lenny release

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Tue, 17 Feb 2009 16:44:15 +0900

pastebinit (0.11-1) experimental; urgency=low

  * new upstream release. Closes: #510075
    * add support for paste.debian.net (among others). Closes: #483381. Fixes LP: #236041
    * add German translation (among others). Closes: #493989

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Tue, 30 Dec 2008 15:47:03 +0100

pastebinit (0.10-1) unstable; urgency=low

  * initial debian release. backpush from ubuntu. Closes: #425226
  * apply the packaging cleanup from Julian Andreas Klode.  Fixes LP: #225676
  * remove *.mo in dh_clean so that "debuild;debuild" succeeds
  * use python-central to help with packaging

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Thu, 15 May 2008 00:35:18 +0200

pastebinit (0.10-0ubuntu1) intrepid; urgency=low

  * New upstream release (0.10) (LP: #229589)
   * http://yourpaste.net now supported (LP: #193352)
   * fixing wrong manpage (LP: #157082)
   * fixing typo "catched" > "caught" (LP: #219185)
   * debian/control: using Homepage field, not pseudo-one.
   * pastebinit: better handling of command-line passed pastebins

   [ Fabien Tassin ]
   * Add Vcs-Bzr to debian/control
   * Fix -a in Usage()
   * http://paste.ubuntu.com now supported
   * http://pastebin.mozilla.org now supported

   [ Stéphane Graber ]
   * Changed Homepage field to LP
   * http://paste.stgraber.org supported again
   * http://paste.f-box.org supported again
   * http://1t2.us supported again

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 12 May 2008 16:47:12 +0200

pastebinit (0.9-0ubuntu1) hardy; urgency=low

  * New upstream release (0.9)
   * LP #137648 - Control file updated
   * LP #115467 - http://rafb.net/paste now supported
   * LP #184276 - http://pastebin.archlinux.org now supported (Thanks to
     Sashi)
   * LP #184282 - -i parameter now optional (Thanks to Xilon)
   * LP #185508 - Change default pastebin to pastebin.com
   * Add a "page" parameter to specify a custom destination page
   * Use cleaner code to handle "regexp" and "page" parameters
   * Update manpage
  * Update packaging to 3.7.3
  * Update the control file according to manpage
  * Change maintainer field to MOTU

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 28 Jan 2008 22:24:42 +0100

pastebinit (0.8.2-0ubuntu1) gutsy; urgency=low

  * New upstream version
    - Implement gettext localization (David Paleino) (LP: #119723)
    - Normal kill now works (David Paleino) (LP: #119273)
    - Added XML-generated manpage from Debian package (David Paleino)

 -- Stéphane Graber <stgraber@ubuntu.com>  Sat, 07 Jul 2007 17:31:40 +0200

pastebinit (0.8-0ubuntu1) gutsy; urgency=low

  * New version upstream
    - Add 1t2.us pastebin support (Daniel Bartlett)
    - New parameters system (Daniel Bartlett)
    - Redirection support (Daniel Bartlett)
    - Pipe content detection (Stéphane Graber)
    - Title, format, user and password support (Daniel Bartlett)
    - Updated manpage (Stéphane Graber)
    - New regexp (Daniel Bartlett)

 -- Stéphane Graber <stgraber@stgraber.org>  Thu, 26 Apr 2007 14:05:31 +0200

pastebinit (0.6-0ubuntu1) feisty; urgency=low

  * New version upstream
    - Add a COPYING file
    - remove paste.ubuntu-nl.org because of the anti-spam javascript
    - change the default Pastebin
    - add two pastebins
    - add support of regexp

 -- Stéphane Graber <stgraber@stgraber.org>  Thu, 07 Dec 2006 20:58:31 +0100

pastebinit (0.5-0ubuntu1) feisty; urgency=low

  * Initial release

 -- Stéphane Graber <stgraber@stgraber.org>  Tue, 28 Nov 2006 19:32:40 +0100
